000000 IDENTIFICATION DIVISION.
000000 PROGRAM-ID. INDEX11.
000000 ENVIRONMENT DIVISION.
000000 INPUT-OUTPUT SECTION.
000000 FILE-CONTROL.
000000*...t@C
000000       SELECT  IND-FILE   ASSIGN "index_11.dat"
000000         ORGANIZATION INDEXED
000000           ACCESS DYNAMIC
000000             RECORD KEY JUCD
000000               ALTERNATE RECORD KEY KOUZA
000000                 WITH DUPLICATES
000000               ALTERNATE RECORD KEY NENDO
000000                 WITH DUPLICATES
000000               ALTERNATE RECORD KEY GENGO
000000                 WITH DUPLICATES
000000               FILE   STATUS  IND-FST.                         
000000 DATA DIVISION.                                                    
000000 FILE SECTION.   
000000 FD  IND-FILE                                                             
000000     LABEL RECORD STANDARD.                         
000000 01  IND-REC.                  
000000     02 JUCD  PIC 9(5).
000000     02 SIMEI PIC X(10).
000000     02 KOUZA PIC 9(5).
000000     02 NENDO PIC 9(4).  
000000     02 SU    PIC S9(3)V99.
000000     02 GENGO PIC X(6). 
000000 WORKING-STORAGE SECTION.
000000 01  STATUS-AREA.                                        
000000     02 IND-FST  PIC  X(2).                  
000000     02 OUT-STS  PIC  X(4) VALUE ALL "X".                  
000000     02 OUT-STS2  PIC  X(4) VALUE HIGH-VALUES.                  
000000     02 OUT-STS3  PIC  X(4) VALUE LOW-VALUES.                  
000000     02 077OUT-NO PIC 9(4).                             
000000 01  WORK.
000000     02 INP-CNT PIC 9(3) VALUE ZERO.
000000     02 OUT-CNT PIC 9(3).
000000     02 END-SW  PIC 9(1) VALUE ZERO. 
000000 PROCEDURE DIVISION.
000000     PERFORM START-RTN THRU START-RTN-END. 
000000     PERFORM MAIN-RTN  THRU MAIN-RTN-END.
000000     PERFORM END-RTN   THRU END-RTN-END.
000000     STOP RUN.
000000******************************************************
000000*    START-RTN 
000000******************************************************
000000 START-RTN.
000000     DISPLAY "START INDEX11" .
000000 START-RTN-END.
000000     EXIT.
000000******************************************************
000000*    MAIN-RTN 
000000******************************************************
000000 MAIN-RTN.
000000     PERFORM 01-INDEX-RTN THRU 01-INDEX-RTN-END. 
000000     PERFORM 02-INDEX-RTN THRU 02-INDEX-RTN-END. 
000000 MAIN-RTN-END.
000000     EXIT.
000000******************************************************
000000*    END-RTN 
000000******************************************************
000000 END-RTN.
000000     DISPLAY "END INDEX11" .
000000 END-RTN-END.
000000     EXIT.
000000******************************************************
000000*    01-INDEX-RTN t@Co
000000******************************************************
000000 01-INDEX-RTN.
000000*... t@Co̓I[v
000000     OPEN OUTPUT IND-FILE.    
000000*------------------------*
000000     MOVE 1 TO JUCD. 
000000     MOVE "Satou" TO SIMEI. 
000000     MOVE 11210 TO KOUZA. 
000000     MOVE 1961 TO NENDO. 
000000     MOVE 123.45 TO SU. 
000000     MOVE "cobol" TO GENGO. 
000000     WRITE IND-REC INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 2 TO JUCD. 
000000     MOVE "Suzuki" TO SIMEI. 
000000     MOVE 11210 TO KOUZA. 
000000     MOVE 1973 TO NENDO. 
000000     MOVE -213.45 TO SU. 
000000     MOVE "perl" TO GENGO. 
000000     WRITE IND-REC INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 3 TO JUCD. 
000000     MOVE "Takahashi" TO SIMEI. 
000000     MOVE 10510 TO KOUZA. 
000000     MOVE 1975 TO NENDO. 
000000     MOVE 216.02 TO SU. 
000000     MOVE "php" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 4 TO JUCD. 
000000     MOVE "Tanaka" TO SIMEI. 
000000     MOVE 13520 TO KOUZA. 
000000     MOVE 1989 TO NENDO. 
000000     MOVE -007.93 TO SU. 
000000     MOVE "perl" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 5 TO JUCD. 
000000     MOVE "Itou" TO SIMEI. 
000000     MOVE 13530 TO KOUZA. 
000000     MOVE 1975 TO NENDO. 
000000     MOVE 046.80 TO SU. 
000000     MOVE "c++" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 6 TO JUCD. 
000000     MOVE "Yamamoto" TO SIMEI. 
000000     MOVE 10510 TO KOUZA. 
000000     MOVE 1974 TO NENDO. 
000000     MOVE -648.24 TO SU. 
000000     MOVE "java" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 7 TO JUCD. 
000000     MOVE "WATANABE" TO SIMEI. 
000000     MOVE 13550 TO KOUZA. 
000000     MOVE 1973 TO NENDO. 
000000     MOVE +885.67 TO SU. 
000000     MOVE "vb" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 8 TO JUCD. 
000000     MOVE "Nakamura.N" TO SIMEI. 
000000     MOVE 13560 TO KOUZA. 
000000     MOVE 1999 TO NENDO. 
000000     MOVE +802.08 TO SU. 
000000     MOVE "c#" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 9 TO JUCD. 
000000     MOVE "KOBAYASHI" TO SIMEI. 
000000     MOVE 13570 TO KOUZA. 
000000     MOVE 2001 TO NENDO. 
000000     MOVE -924.99 TO SU. 
000000     MOVE "vb" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 10 TO JUCD. 
000000     MOVE "Katou.C" TO SIMEI. 
000000     MOVE 11210 TO KOUZA. 
000000     MOVE 1995 TO NENDO. 
000000     MOVE -000.77 TO SU. 
000000     MOVE "java" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 11 TO JUCD. 
000000     MOVE "YOSHIDA" TO SIMEI. 
000000     MOVE 10530 TO KOUZA. 
000000     MOVE 1989 TO NENDO. 
000000     MOVE +013.55 TO SU. 
000000     MOVE "c++" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 12 TO JUCD. 
000000     MOVE "YAMADA" TO SIMEI. 
000000     MOVE 13530 TO KOUZA. 
000000     MOVE 1998 TO NENDO. 
000000     MOVE +751.11 TO SU. 
000000     MOVE "php" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 13 TO JUCD. 
000000     MOVE "Sasaki" TO SIMEI. 
000000     MOVE 11210 TO KOUZA. 
000000     MOVE 2001 TO NENDO. 
000000     MOVE -350.22 TO SU. 
000000     MOVE "php" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 14 TO JUCD. 
000000     MOVE "yamaguchi" TO SIMEI. 
000000     MOVE 13570 TO KOUZA. 
000000     MOVE 1995 TO NENDO. 
000000     MOVE +579.40 TO SU. 
000000     MOVE "c#" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000     MOVE 15 TO JUCD. 
000000     MOVE "matumoto" TO SIMEI. 
000000     MOVE 10510 TO KOUZA. 
000000     MOVE 2001 TO NENDO. 
000000     MOVE -873.36 TO SU. 
000000     MOVE "java" TO GENGO. 
000000     WRITE IND-REC  INVALID   
000000           DISPLAY "IND-FILE INVALID" 
000000           STOP RUN. 
000000*------------------------*
000000     CLOSE IND-FILE.  
000000 01-INDEX-RTN-END.
000000     EXIT.
000000******************************************************
000000*    02-INDEX-RTN t@C͂ƕ\
000000******************************************************
000000 02-INDEX-RTN.
000000     OPEN INPUT IND-FILE. 
000000*    ***                              
000000     PERFORM UNTIL END-SW = 1
000000       READ IND-FILE NEXT            
000000         AT END 
000000           MOVE 1 TO END-SW    
000000         NOT AT END
000000           ADD 1 TO INP-CNT
000000           DISPLAY "-----------------------"
000000           DISPLAY "jucd=" JUCD
000000           DISPLAY "kouza=" KOUZA
000000           DISPLAY "simei=" SIMEI
000000           DISPLAY "nendo=" NENDO
000000           DISPLAY "su=" SU
000000           DISPLAY "gengo=" GENGO
000000           DISPLAY "IND-REC=" IND-REC
000000       END-READ                                                            
000000     END-PERFORM.
000000*    ***                               
000000     CLOSE IND-FILE. 
000000*    ***                               
000000     DISPLAY " INPUT=" INP-CNT.
000000 02-INDEX-RTN-END.
000000     EXIT.
